# class Gem::Ext::ConfigureBuilder

### Public Class Methods

build(extension, dest_path, results, args=[], lib_dir=nil) click to toggle source

    # File lib/rubygems/ext/configure_builder.rb, line 10
    def self.build(extension, dest_path, results, args=[], lib_dir=nil)
      unless File.exist?('Makefile')
        cmd = "sh ./configure --prefix=#{dest_path}"
        cmd << " #{args.join ' '}" unless args.empty?

        run cmd, results
      end

      make dest_path, results

      results
    end